# Interface VulkanImageCreateInfoType

All Known Implementing Classes:
  `VulkanImageCreateInfo`

@Immutable public interface VulkanImageCreateInfoType

See Also:
  - "VkImageCreateInfo"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `arrayLayers()`
  `VulkanExtent3D`
  `extent()`
  `Set<VulkanImageCreateFlag>`
  `flags()`
  `VulkanFormat`
  `format()`
  `VulkanImageKind`
  `imageType()`
  `VulkanImageLayout`
  `initialLayout()`
  `int`
  `mipLevels()`
  `List<Integer>`
  `queueFamilyIndices()`
  `Set<VulkanSampleCountFlag>`
  `samples()`
  `VulkanSharingMode`
  `sharingMode()`
  `VulkanImageTiling`
  `tiling()`
  `Set<VulkanImageUsageFlag>`
  `usage()`

- ## Method Details

  - ### flags

    @Parameter Set<VulkanImageCreateFlag> flags()
    Returns:
      A set of flags describing additional parameters of the image.

  - ### imageType

    @Parameter VulkanImageKind imageType()
    Returns:
      A value specifying the basic dimensionality of the image. Layers in array textures do not count as a dimension for the purposes of the image type.

  - ### format

    @Parameter VulkanFormat format()
    Returns:
      A value describing the format and type of the texel blocks that will be contained in the image.

  - ### extent

    @Parameter VulkanExtent3D extent()
    Returns:
      A value describing the number of data elements in each dimension of the base level.

  - ### mipLevels

    @Parameter int mipLevels()
    Returns:
      The number of levels of detail available for minified sampling of the image.

  - ### arrayLayers

    @Parameter int arrayLayers()
    Returns:
      The the number of layers in the image.

  - ### samples

    @Parameter Set<VulkanSampleCountFlag> samples()
    Returns:
      A value specifying the number of samples per texel.

  - ### tiling

    @Parameter VulkanImageTiling tiling()
    Returns:
      A value specifying the tiling arrangement of the texel blocks in memory.

  - ### usage

    @Parameter Set<VulkanImageUsageFlag> usage()
    Returns:
      A value describing the intended usage of the image.

  - ### sharingMode

    @Parameter VulkanSharingMode sharingMode()
    Returns:
      A value specifying the sharing mode of the image when it will be accessed by multiple queue families.

  - ### queueFamilyIndices

    @Parameter List<Integer> queueFamilyIndices()
    Returns:
      A list of queue families that will access this image (ignored if sharingMode is not VK_SHARING_MODE_CONCURRENT).

  - ### initialLayout

    @Parameter VulkanImageLayout initialLayout()
    Returns:
      A value specifying the initial layout of all image subresources of the image.